UpnpExtraHeaders.c File Reference

Source file for UpnpExtraHeaders methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpExtraHeaders.h"`
Include dependency graph for UpnpExtraHeaders.c:

## Data Structures

struct | s_UpnpExtraHeaders

## Functions

UpnpExtraHeaders * | UpnpExtraHeaders_new (void)
void | UpnpExtraHeaders_delete (UpnpExtraHeaders *q)
int | UpnpExtraHeaders_assign (UpnpExtraHeaders *p, const UpnpExtraHeaders *q)
UpnpExtraHeaders * | UpnpExtraHeaders_dup (const UpnpExtraHeaders *q)
const UpnpListHead * | UpnpExtraHeaders_get_node (const UpnpExtraHeaders *p)
int | UpnpExtraHeaders_set_node (UpnpExtraHeaders *p, const UpnpListHead *q)
void | UpnpExtraHeaders_add_to_list_node (UpnpExtraHeaders *p, struct UpnpListHead *head)
const UpnpString * | UpnpExtraHeaders_get_name (const UpnpExtraHeaders *p)
int | UpnpExtraHeaders_set_name (UpnpExtraHeaders *p, const UpnpString *s)
size_t | UpnpExtraHeaders_get_name_Length (const UpnpExtraHeaders *p)
const char * | UpnpExtraHeaders_get_name_cstr (const UpnpExtraHeaders *p)
int | UpnpExtraHeaders_strcpy_name (UpnpExtraHeaders *p, const char *s)
int | UpnpExtraHeaders_strncpy_name (UpnpExtraHeaders *p, const char *s, size_t n)
void | UpnpExtraHeaders_clear_name (UpnpExtraHeaders *p)
const UpnpString * | UpnpExtraHeaders_get_value (const UpnpExtraHeaders *p)
int | UpnpExtraHeaders_set_value (UpnpExtraHeaders *p, const UpnpString *s)
size_t | UpnpExtraHeaders_get_value_Length (const UpnpExtraHeaders *p)
const char * | UpnpExtraHeaders_get_value_cstr (const UpnpExtraHeaders *p)
int | UpnpExtraHeaders_strcpy_value (UpnpExtraHeaders *p, const char *s)
int | UpnpExtraHeaders_strncpy_value (UpnpExtraHeaders *p, const char *s, size_t n)
void | UpnpExtraHeaders_clear_value (UpnpExtraHeaders *p)
const DOMString | UpnpExtraHeaders_get_resp (const UpnpExtraHeaders *p)
int | UpnpExtraHeaders_set_resp (UpnpExtraHeaders *p, const DOMString s)
const char * | UpnpExtraHeaders_get_resp_cstr (const UpnpExtraHeaders *p)

## Detailed Description

Source file for UpnpExtraHeaders methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpExtraHeaders_add_to_list_node()

void UpnpExtraHeaders_add_to_list_node | ( | UpnpExtraHeaders * | p,
|  | UpnpListHead * | head )

UpnpExtraHeaders_add_to_list_node

## UpnpExtraHeaders_assign()

int UpnpExtraHeaders_assign | ( | UpnpExtraHeaders * | p,
|  | const UpnpExtraHeaders * | q )

Assignment operator

References UpnpExtraHeaders_get_name(), UpnpExtraHeaders_get_node(), UpnpExtraHeaders_get_resp(), UpnpExtraHeaders_get_value(), UpnpExtraHeaders_set_name(), UpnpExtraHeaders_set_node(), UpnpExtraHeaders_set_resp(), and UpnpExtraHeaders_set_value().

Referenced by UpnpExtraHeaders_dup().

## UpnpExtraHeaders_clear_name()

void UpnpExtraHeaders_clear_name | ( | UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_clear_name

References UpnpString_clear().

## UpnpExtraHeaders_clear_value()

void UpnpExtraHeaders_clear_value | ( | UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_clear_value

References UpnpString_clear().

## UpnpExtraHeaders_delete()

void UpnpExtraHeaders_delete | ( | UpnpExtraHeaders * | p | ) |

Destructor

References ixmlFreeDOMString(), and UpnpString_delete().

Referenced by FreeExtraHTTPHeaders().

## UpnpExtraHeaders_dup()

UpnpExtraHeaders * UpnpExtraHeaders_dup | ( | const UpnpExtraHeaders * | p | ) |

Copy Constructor

References UpnpExtraHeaders_assign(), and UpnpExtraHeaders_new().

## UpnpExtraHeaders_get_name()

const UpnpString * UpnpExtraHeaders_get_name | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_name

Referenced by UpnpExtraHeaders_assign(), UpnpExtraHeaders_get_name_cstr(), and UpnpExtraHeaders_get_name_Length().

## UpnpExtraHeaders_get_name_cstr()

const char * UpnpExtraHeaders_get_name_cstr | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_name_cstr

References UpnpExtraHeaders_get_name(), and UpnpString_get_String().

## UpnpExtraHeaders_get_name_Length()

size_t UpnpExtraHeaders_get_name_Length | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_name_Length

References UpnpExtraHeaders_get_name(), and UpnpString_get_Length().

## UpnpExtraHeaders_get_node()

const UpnpListHead * UpnpExtraHeaders_get_node | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_node

Referenced by ExtraHTTPHeaders(), and UpnpExtraHeaders_assign().

## UpnpExtraHeaders_get_resp()

const DOMString UpnpExtraHeaders_get_resp | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_resp

References DOMString.

Referenced by http_MakeMessage(), UpnpExtraHeaders_assign(), and UpnpExtraHeaders_get_resp_cstr().

## UpnpExtraHeaders_get_resp_cstr()

const char * UpnpExtraHeaders_get_resp_cstr | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_resp_cstr

References UpnpExtraHeaders_get_resp().

## UpnpExtraHeaders_get_value()

const UpnpString * UpnpExtraHeaders_get_value | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_value

Referenced by UpnpExtraHeaders_assign(), UpnpExtraHeaders_get_value_cstr(), and UpnpExtraHeaders_get_value_Length().

## UpnpExtraHeaders_get_value_cstr()

const char * UpnpExtraHeaders_get_value_cstr | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_value_cstr

References UpnpExtraHeaders_get_value(), and UpnpString_get_String().

## UpnpExtraHeaders_get_value_Length()

size_t UpnpExtraHeaders_get_value_Length | ( | const UpnpExtraHeaders * | p | ) |

UpnpExtraHeaders_get_value_Length

References UpnpExtraHeaders_get_value(), and UpnpString_get_Length().

## UpnpExtraHeaders_new()

UpnpExtraHeaders * UpnpExtraHeaders_new | ( | void |  | ) |

Constructor

References UpnpString_new().

Referenced by ExtraHTTPHeaders(), and UpnpExtraHeaders_dup().

## UpnpExtraHeaders_set_name()

int UpnpExtraHeaders_set_name | ( | UpnpExtraHeaders * | p,
|  | const UpnpString * | s )

UpnpExtraHeaders_set_name

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpExtraHeaders_assign().

## UpnpExtraHeaders_set_node()

int UpnpExtraHeaders_set_node | ( | UpnpExtraHeaders * | p,
|  | const UpnpListHead * | q )

UpnpExtraHeaders_set_node

Referenced by UpnpExtraHeaders_assign().

## UpnpExtraHeaders_set_resp()

int UpnpExtraHeaders_set_resp | ( | UpnpExtraHeaders * | p,
|  | const DOMString | s )

UpnpExtraHeaders_set_resp

References DOMString, ixmlCloneDOMString(), and ixmlFreeDOMString().

Referenced by UpnpExtraHeaders_assign().

## UpnpExtraHeaders_set_value()

int UpnpExtraHeaders_set_value | ( | UpnpExtraHeaders * | p,
|  | const UpnpString * | s )

UpnpExtraHeaders_set_value

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpExtraHeaders_assign().

## UpnpExtraHeaders_strcpy_name()

int UpnpExtraHeaders_strcpy_name | ( | UpnpExtraHeaders * | p,
|  | const char * | s )

UpnpExtraHeaders_strcpy_name

References UpnpString_set_String().

## UpnpExtraHeaders_strcpy_value()

int UpnpExtraHeaders_strcpy_value | ( | UpnpExtraHeaders * | p,
|  | const char * | s )

UpnpExtraHeaders_strcpy_value

References UpnpString_set_String().

## UpnpExtraHeaders_strncpy_name()

int UpnpExtraHeaders_strncpy_name | ( | UpnpExtraHeaders * | p,
|  | const char * | s,
|  | size_t | n )

UpnpExtraHeaders_strncpy_name

References UpnpString_set_StringN().

Referenced by ExtraHTTPHeaders().

## UpnpExtraHeaders_strncpy_value()

int UpnpExtraHeaders_strncpy_value | ( | UpnpExtraHeaders * | p,
|  | const char * | s,
|  | size_t | n )

UpnpExtraHeaders_strncpy_value

References UpnpString_set_StringN().

Referenced by ExtraHTTPHeaders().